Loading...
Searching...
No Matches
Opm::Parameter Class Reference

`#include <Parameter.hpp>`

Inheritance diagram for Opm::Parameter:

## Public Member Functions

| ~Parameter () override
std::string | getTag () const override
| Parameter (const std::string &value, const std::string &type)
const std::string & | getValue () const
const std::string & | getType () const
Public Member Functions inherited from Opm::ParameterMapItem
| ParameterMapItem ()
| Default constructor.
virtual | ~ParameterMapItem ()
| Destructor.
void | setUsed () const
bool | used () const

## Detailed Description

Todo
  Doc me!

## Constructor & Destructor Documentation

## ~Parameter()

Opm::Parameter::~Parameter | ( |  | ) |

inline override

Todo
  Doc me!

## Parameter()

Opm::Parameter::Parameter | ( | const std::string & | value,
|  | const std::string & | type )

inline

Todo
  Doc me!

Parameters

## Member Function Documentation

## getTag()

std::string Opm::Parameter::getTag | ( |  | ) | const

inline override virtual

Todo
  Doc me!

Returns

Implements Opm::ParameterMapItem.

## getType()

const std::string & Opm::Parameter::getType | ( |  | ) | const

inline

Todo
  Doc me!

Returns

## getValue()

const std::string & Opm::Parameter::getValue | ( |  | ) | const

inline

Todo
  Doc me!

Returns

The documentation for this class was generated from the following file:

- opm/common/utility/parameters/Parameter.hpp